com.android.agf.adapters

## Class FileArrayAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - android.widget.ArrayAdapter<Option>
    - - com.android.agf.adapters.FileArrayAdapter

- All Implemented Interfaces:
    Adapter, Filterable, ListAdapter, SpinnerAdapter

      public class FileArrayAdapter
      extends ArrayAdapter<Option>

  adapter pels fitxers de dashboard externs
  Author:
    albert

- - ### Field Summary

    - ### Fields inherited from interface android.widget.Adapter

      `IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileArrayAdapter(Context context, int textViewResourceId, List<Option> objects)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Option` | `getItem(int i)`
    `View` | `getView(int position, View convertView, ViewGroup parent)` funcio per optimitzar el llistat

    - ### Methods inherited from class android.widget.ArrayAdapter

      `add, addAll, addAll, clear, createFromResource, getContext, getCount, getDropDownView, getFilter, getItemId, getPosition, insert, notifyDataSetChanged, remove, setDropDownViewResource, setNotifyOnChange, sort`

    - ### Methods inherited from class android.widget.BaseAdapter

      `areAllItemsEnabled, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, isEnabled, notifyDataSetInvalidated, registerDataSetObserver, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileArrayAdapter

          public FileArrayAdapter(Context context,
                          int textViewResourceId,
                          List<Option> objects)

      constructor
      Parameters:
        `context` -
        `textViewResourceId` -
        `objects` -

  - ### Method Detail

    - #### getItem

          public Option getItem(int i)

      Specified by:
        `getItem` in interface `Adapter`
      Overrides:
        `getItem` in class `ArrayAdapter<Option>`

    - #### getView

          public View getView(int position,
                     View convertView,
                     ViewGroup parent)

      funcio per optimitzar el llistat
      Specified by:
        `getView` in interface `Adapter`
      Overrides:
        `getView` in class `ArrayAdapter<Option>`